# SmartContractPayload | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- SmartContractPayload

## Index

### Properties

- codeBody
- contractName
- payloadType
- type

## Properties

### Readonly codeBody

codeBody: LengthPrefixedString

- Defined in packages/transactions/src/payload.ts:101

### Readonly contractName

contractName: LengthPrefixedString

- Defined in packages/transactions/src/payload.ts:100

### Readonly payloadType

payloadType: SmartContract

- Defined in packages/transactions/src/payload.ts:99

### Readonly type

type: Payload

- Defined in packages/transactions/src/payload.ts:98

Generated using TypeDoc